## kodi-imagedecoder-heif 19.0.0+ds1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(imagedecoder.heif)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(de265 REQUIRED)
find_package(HEIF REQUIRED)
find_package(Threads REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways (becomes done in future)
                    ${de265_INCLUDE_DIRS}
                    ${heif_INCLUDE_DIRS})

set(HEIF_SOURCES src/HeifPicture.cpp)

set(DEPLIBS ${HEIF_LIBRARIES} ${de265_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

build_addon(imagedecoder.heif HEIF DEPLIBS)

include(CPack)

## kodi-imagedecoder-heif 1.3.0+ds1

=== debian/changelog ===
kodi-imagedecoder-heif (1.3.0+ds1-2~mx19+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Fri, 25 Jun 2021 20:43:59 -0700

kodi-imagedecoder-heif (1.3.0+ds1-2) unstable; urgency=medium

  * Force override libdir paths
  * Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 20 Jan 2021 06:23:47 +0000

kodi-imagedecoder-heif (1.3.0+ds1-1) unstable; urgency=medium

  * Initial upload

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 27 Dec 2020 08:07:06 +0000

=== debian/control ===
Source: kodi-imagedecoder-heif
Priority: optional
Section: libs
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders: Vasyl Gello <vasek.gello@gmail.com>
Build-Depends: debhelper-compat (= 13)
Build-Depends-Arch: cmake,
                    dh-sequence-kodiaddon,
                    kodi-addons-dev (>= 2:19~),
                    libde265-dev,
                    libheif-dev
Standards-Version: 4.5.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-imagedecoder-heif
Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-imagedecoder-heif.git
Homepage: https://kodi.tv

Package: kodi-imagedecoder-heif
Architecture: any
Depends: ${kodi:IMAGEDECODERAPI}, ${misc:Depends}, ${shlibs:Depends}
Description: HEIF image decoder for Kodi
 Kodi, formerly known as XBMC is an award winning free and
 open source software media-player and entertainment hub for all your digital
 media. Kodi is available for Linux, Mac OS X (Leopard, Tiger and Apple TV)
 and Microsoft Windows, as well as the original Xbox game console. Created in
 2003 by a group of like minded programmers, Kodi is a non-profit project run
 and developed by volunteers located around the world. More than 50 software
 developers have contributed to Kodi, and 100-plus translators have worked to
 expand its reach, making it available in more than 30 languages.
 .
 While Kodi functions very well as a standard media player application for
 your computer, it has been designed to be the perfect companion for your
 HTPC. Supporting an almost endless range of remote controls, and combined
 with its beautiful interface and powerful skinning engine, Kodi feels very
 natural to use from the couch and is the ideal solution for your home
 theater. Once installed, your computer will become a fully functional
 multimedia jukebox.
 .
 This package allows viewing HEIF image files in Kodi

## kodi-imagedecoder-heif 19.0.0%2Bds1

=== debian/changelog ===
kodi-imagedecoder-heif (19.0.0+ds1-2~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * No-change rebuild

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 May 2022 01:42:04 +0000

kodi-imagedecoder-heif (19.0.0+ds1-2) unstable; urgency=medium

  * Modernize package

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 21 Mar 2022 17:49:06 +0000

kodi-imagedecoder-heif (19.0.0+ds1-1) unstable; urgency=medium

  * New upstream version 19.0.0+ds1
  * Bump standard version
  * Disable LTO to make build reproducible

 -- Vasyl Gello <vasek.gello@gmail.com>  Wed, 13 Oct 2021 22:13:17 +0000

kodi-imagedecoder-heif (1.4.0+ds1-1) unstable; urgency=medium

  * New upstream version 1.4.0+ds1
  * Fix github ref
  * Restrict watchfile to current stable Kodi codename

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 16 Aug 2021 05:38:12 +0000

## kodi-imagedecoder-heif 19.0.0+ds1

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,15 @@
 Source: kodi-imagedecoder-heif
 Priority: optional
 Section: libs
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
+Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: cmake,
-                    dh-sequence-kodiaddon,
-                    kodi-addons-dev (>= 2:19~),
-                    libde265-dev,
-                    libheif-dev
-Standards-Version: 4.5.1
+Build-Depends-Arch: dh-sequence-kodiaddon,
+               cmake,
+               kodi-addons-dev (>= 2:19~),
+               libde265-dev,
+               libheif-dev
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-imagedecoder-heif
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-imagedecoder-heif.git
@@ -18,7 +17,9 @@
 
 Package: kodi-imagedecoder-heif
 Architecture: any
-Depends: ${kodi:IMAGEDECODERAPI}, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${shlibs:Depends},
+         ${misc:Depends},
+         ${kodi:IMAGEDECODERAPI}
 Description: HEIF image decoder for Kodi
  Kodi, formerly known as XBMC is an award winning free and
  open source software media-player and entertainment hub for all your digital

=== debian/watch ===
version=4

opts="repack, \
      compression=xz, \
      repacksuffix=+ds1, \
      dversionmangle=auto" \
https://github.com/xbmc/imagedecoder.heif/releases \
/xbmc/imagedecoder.heif/archive/refs/tags/?(\d\S*)-Matrix\.tar\.gz

## kodi-imagedecoder-heif 20.1.0%2Bds1

=== debian/watch ===
version=4

# Release git tags
# TODO: Change Kodi codename in refs/tags before packaging next Kodi major release

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      dversionmangle=auto" \
https://github.com/xbmc/imagedecoder.heif \
refs/tags/@ANY_VERSION@-Nexus \
debian

## kodi-imagedecoder-heif 20.1.0+ds1

=== debian/changelog ===
kodi-imagedecoder-heif (20.1.0+ds1-2) unstable; urgency=medium

  * d/watch: switch to git tags

 -- Vasyl Gello <vasek.gello@gmail.com>  Sat, 15 Oct 2022 16:54:44 +0000

kodi-imagedecoder-heif (20.1.0+ds1-1) unstable; urgency=medium

  * New upstream version 20.1.0+ds1
  * Prepare for v20 in unstable

 -- Vasyl Gello <vasek.gello@gmail.com>  Thu, 04 Aug 2022 09:54:52 +0000

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon,
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
                cmake,
-               kodi-addons-dev (>= 2:19~),
                libde265-dev,
-               libheif-dev
-Standards-Version: 4.6.0
+               libheif-dev,
+               libtinyxml2-dev
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-imagedecoder-heif
 Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-imagedecoder-heif.git

=== debian/watch ===
--- 
+++ 
@@ -6,7 +6,7 @@
 opts="mode=git, \
       pgpmode=none, \
       repack, \
-      repacksuffix=+ds, \
+      repacksuffix=+ds1, \
       compression=xz, \
       dversionmangle=auto" \
 https://github.com/xbmc/imagedecoder.heif \

## kodi-imagedecoder-heif 21.0.2%2Bds

=== debian/changelog ===
kodi-imagedecoder-heif (21.0.2+ds-1build1) questing; urgency=medium

  * No-change rebuild for libtinyxml2-11.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 03 May 2025 16:21:48 +0000

kodi-imagedecoder-heif (21.0.2+ds-1) unstable; urgency=high

  * New upstream version 21.0.2+ds
  * Drop patches merged upstream
  * d/copyright: Bump copyright years

 -- Vasyl Gello <vasek.gello@gmail.com>  Mon, 27 Jan 2025 08:45:06 +0000

kodi-imagedecoder-heif (20.1.0+ds1-5) unstable; urgency=critical

  * Mass fix: d/watch: Allow multiple addon suites to be checked

 -- Vasyl Gello <vasek.gello@gmail.com>  Tue, 20 Aug 2024 12:12:56 +0000

kodi-imagedecoder-heif (20.1.0+ds1-4) unstable; urgency=medium

  * Branch out experimental
  * Modernize package
  * New release 20.1.0+ds1-1
  * Finalize changelog
  * d/gbp.conf: Fix debian and upstream branches
  * Import Debian packaging from debian/sid
  * Prepare for v21 "Omega"
  * Bump copyright years
  * d/control: Ensure Vcs-Git points to correct branch
  * Bump standards version to 4.7.0 (no changes required)

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 09 Aug 2024 08:45:28 +0000

kodi-imagedecoder-heif (20.1.0+ds1-3) unstable; urgency=medium

  * Bmp copyright years
  * d/watch: Fix repack suffix
  * d/gbp.conf: Fix debian and upstream branches
  * Add GCC13 fix (Closes: #1037711)

 -- Vasyl Gello <vasek.gello@gmail.com>  Sun, 06 Aug 2023 08:47:59 +0000

## kodi-imagedecoder-heif 21.0.3+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(imagedecoder.heif)

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PROJECT_SOURCE_DIR})

find_package(Kodi REQUIRED)
find_package(de265 REQUIRED)
find_package(HEIF REQUIRED)
find_package(Threads REQUIRED)
find_package(TinyXML2 REQUIRED)

include_directories(${KODI_INCLUDE_DIR}/.. # Hack way with "/..", need bigger Kodi cmake rework to match right include ways (becomes done in future)
                    ${de265_INCLUDE_DIRS}
                    ${heif_INCLUDE_DIRS}
                    ${TINYXML2_INCLUDE_DIRS}
                    ${PROJECT_SOURCE_DIR}/lib)

set(HEIF_SOURCES src/HeifPicture.cpp
                 lib/TinyEXIF/TinyEXIF.cpp)

set(HEIF_HEADERS src/HeifPicture.h
                 lib/TinyEXIF/TinyEXIF.h)

set(DEPLIBS ${HEIF_LIBRARIES} ${de265_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT} ${TINYXML2_LIBRARIES})

build_addon(imagedecoder.heif HEIF DEPLIBS)

include(CPack)

=== debian/changelog ===
kodi-imagedecoder-heif (21.0.3+ds-1) unstable; urgency=high

  * New upstream version 21.0.3+ds

 -- Vasyl Gello <vasek.gello@gmail.com>  Fri, 10 Oct 2025 06:39:53 +0000

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
 Uploaders: Vasyl Gello <vasek.gello@gmail.com>
 Build-Depends: debhelper-compat (= 13)
-Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:20~),
+Build-Depends-Arch: dh-sequence-kodiaddon (>= 2:21~),
                cmake,
                libde265-dev,
                libheif-dev,
                libtinyxml2-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-imagedecoder-heif
-Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-imagedecoder-heif.git
+Vcs-Git: https://salsa.debian.org/multimedia-team/kodi-media-center/kodi-imagedecoder-heif.git -b debian/sid
 Homepage: https://kodi.tv
 
 Package: kodi-imagedecoder-heif

=== debian/watch ===
version=4

# Release git tags
# Kodi addons are bound to internal Kodi API versions so the version
# initially built for older Kodi suite (like Matrix or Nexus) may run 
# on newer Kodi (like Omega) if corresponding internal API version
# has not been changed.
#
# This flexibility introduces minor inconvenience to Debian package
# builders as uscan(1) typically operates on single suite of upstream
# tags.
#
# To mitigate addon updates not found, it is possible to specify multiple
# allowed codenames in regexp and tweak uversionmangle to strip the
# dot-suitename from the rersulting tarball name
#
# For debian/sid and other non-experimental branches, the list of codenames
# must start with the Kodi suite name the API was ast changed and end with
# a current Kodi suite being packaged, like:
#
# uversionmangle=s/\.(Nexus|Omega)//, \
# refs/tags/@ANY_VERSION@-(Nexus|Omega) \
#
# for Omega.
#
# For debian/experimental, the list of codenames must have only one suite
# matching current master (i.e Piers if Omega is currently shipped in debian/sid)
# This way only package versions targeting kodi-next will land into
# debian/experimental while all earlier compatible versions will be caught by
# debian/sid watchfile.
#

# Release git tags

# TODO: Change allowed Kodi codenames in refs/tags and uversionmangle
# before packaging next Kodi major release!

opts="mode=git, \
      pgpmode=none, \
      repack, \
      repacksuffix=+ds, \
      compression=xz, \
      uversionmangle=s/\.(Nexus|Omega)//, \
      dversionmangle=auto" \
https://github.com/xbmc/imagedecoder.heif \
refs/tags/@ANY_VERSION@-(Nexus|Omega) \
debian
